---
image: registry.gitlab.com/ifb-elixirfr/docker-images/docker-with-molecule
services:
  - docker:dind

variables:
  PY_COLORS: "1"

.BaseTest:
  retry: 2
  before_script:
    - ansible --version
    - molecule --version
    - docker --version
    - ansible-galaxy collection install community.docker
  script:
    - TMPDIR=$(mktemp -d -t ci-XXXXXXXXXX) INSTANCE=$(basename $TMPDIR) molecule test

Ubuntu 20:
  extends: .BaseTest
  variables:
    DISTRO: "20.04"

Ubuntu 18:
  extends: .BaseTest
  variables:
    DISTRO: "18.04"
